/*
 * ActionSequenze.hpp
 *
 *  Created on: Dec 17, 2009
 *      Author: crueger
 */

#ifndef ACTIONSEQUENZE_HPP_
#define ACTIONSEQUENZE_HPP_

#include <deque>

class Action;

/**
 * Store Actions for later use.
 */
class ActionSequence
{
public:
  ActionSequence();
  virtual ~ActionSequence();

  void addAction(Action*);
  Action* removeLastAction();

  void callAll();
  void undoAll();

  bool canUndo();

private:
  std::deque<Action*> actions;
};

#endif /* ACTIONSEQUENZE_HPP_ */
